Module java.desktop
Package javax.swing

# Class JComponent.AccessibleJComponent.AccessibleFocusHandler

java.lang.Object
javax.swing.JComponent.AccessibleJComponent.AccessibleFocusHandler

All Implemented Interfaces:
  `FocusListener`, `EventListener`

Enclosing class:
  JComponent.AccessibleJComponent

    @Deprecated
    protected class JComponent.AccessibleJComponent.AccessibleFocusHandler
    extends Object
    implements FocusListener

Deprecated.
This class is no longer used or needed. `java.awt.Component.AccessibleAWTComponent` provides the same functionality and it is handled in `Component`.
Fire PropertyChange listener, if one is registered, when focus events happen

Since:
  1.3

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `AccessibleFocusHandler()` | Deprecated.

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.FocusListener

`focusGained, focusLost`

## Constructor Details

### AccessibleFocusHandler

protected AccessibleFocusHandler()
Deprecated.